

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>SetWeatherStation &mdash; pywws v12.10 documentation</title>
    <link rel="stylesheet" href="../_static/default.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '12.10',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <link rel="shortcut icon" href="../_static/pywws_logo.ico"/>
    <link rel="top" title="pywws v12.10 documentation" href="../index.html" />
    <link rel="up" title="Python programs and modules" href="index.html" />
    <link rel="next" title="TestWeatherStation" href="TestWeatherStation.html" />
    <link rel="prev" title="TwitterAuth" href="TwitterAuth.html" /> 
  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="TestWeatherStation.html" title="TestWeatherStation"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="TwitterAuth.html" title="TwitterAuth"
             accesskey="P">previous</a> |</li>
        <li><a href="../index.html">pywws v12.10 documentation</a> &raquo;</li>
          <li><a href="index.html" accesskey="U">Python programs and modules</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="module-SetWeatherStation">
<span id="setweatherstation"></span><h1>SetWeatherStation<a class="headerlink" href="#module-SetWeatherStation" title="Permalink to this headline">¶</a></h1>
<p>Set some weather station parameters.</p>
<p>usage: python SetWeatherStation.py [options]
options are:</p>
<blockquote>
<table class="docutils option-list" frame="void" rules="none">
<col class="option" />
<col class="description" />
<tbody valign="top">
<tr><td class="option-group">
<kbd><span class="option">-h</span></kbd></td>
<td><div class="first last line-block">
<div class="line">&#8211;help           display this help</div>
</div>
</td></tr>
<tr><td class="option-group">
<kbd><span class="option">-c</span></kbd></td>
<td><div class="first line-block">
<div class="line">&#8211;clock          set weather station clock to computer time</div>
</div>
<p class="last">(unlikely to work)</p>
</td></tr>
</tbody>
</table>
<p>-p f | &#8211;pressure f     set relative pressure to n hPa
-r n | &#8211;read_period n  set logging interval to n minutes
-v   | &#8211;verbose        increase error message verbosity
-z   | &#8211;zero_memory    clear the weather station logged readings</p>
</blockquote>
<p class="rubric">Functions</p>
<table border="1" class="docutils">
<colgroup>
<col width="10%" />
<col width="90%" />
</colgroup>
<tbody valign="top">
<tr><td><a class="reference internal" href="#SetWeatherStation.bcd_encode" title="SetWeatherStation.bcd_encode"><tt class="xref py py-obj docutils literal"><span class="pre">bcd_encode</span></tt></a>(value)</td>
<td></td>
</tr>
<tr><td><a class="reference internal" href="#SetWeatherStation.main" title="SetWeatherStation.main"><tt class="xref py py-obj docutils literal"><span class="pre">main</span></tt></a>([argv])</td>
<td></td>
</tr>
</tbody>
</table>
<dl class="function">
<dt id="SetWeatherStation.bcd_encode">
<tt class="descclassname">SetWeatherStation.</tt><tt class="descname">bcd_encode</tt><big>(</big><em>value</em><big>)</big><a class="reference internal" href="../_modules/SetWeatherStation.html#bcd_encode"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SetWeatherStation.bcd_encode" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="SetWeatherStation.main">
<tt class="descclassname">SetWeatherStation.</tt><tt class="descname">main</tt><big>(</big><em>argv=None</em><big>)</big><a class="reference internal" href="../_modules/SetWeatherStation.html#main"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#SetWeatherStation.main" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="TwitterAuth.html"
                        title="previous chapter">TwitterAuth</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="TestWeatherStation.html"
                        title="next chapter">TestWeatherStation</a></p>
<div id="searchbox" style="display: none">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" size="18" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="TestWeatherStation.html" title="TestWeatherStation"
             >next</a> |</li>
        <li class="right" >
          <a href="TwitterAuth.html" title="TwitterAuth"
             >previous</a> |</li>
        <li><a href="../index.html">pywws v12.10 documentation</a> &raquo;</li>
          <li><a href="index.html" >Python programs and modules</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2009-12, Jim Easterbrook.
      Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.0.1.
    </div>
  </body>
</html>